using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Projekt
{
    [Serializable]
    public class Monster : Status
    {

        public Monster()
        {
                        
        }


        public void MonsterQuickSave(string dateiname) //speichert Instanz Hero als xml
        {
            FileTransfer.QuickSave<Monster>(this, Application.StartupPath + "\\XmlFiles\\Monster\\" + dateiname);
        }

        public Monster MonsterQuickLoad(string dateiname) //laedt xml Instanz Hero
        {
            return FileTransfer.QuickLoad<Monster>(Application.StartupPath + "\\XmlFiles\\Monster\\" + dateiname);
        }

        public string[] GetAllMonsterNames()
        {

            return FileTransfer.GetAllFileNames(Application.StartupPath + "\\XmlFiles\\Monster\\");
        }
        
        enum GENDER //koennen Gender hinzugefuegt werden (noch nicht dynamisch in code realisiert)
        {
            Monster,
            Orc,
            Dunkelelf
        };

        public string[] GetAllGenderNames() //liefert alle Gender
        {
            return Enum.GetNames(typeof(GENDER));

        }

    }
}
